Description

Description of problem:

The templates are not exported with associated org and loc when metadata-export-mode is set to refresh

How reproducible:

Always

Steps to Reproduce:

1. Create a template in satellite and associate Org/Loc.

2. Using hammer/API, export the template containing metadata with Org/Loc specs and specify the metadata_export_mode

parameter as 'refresh'.

1. hammer -u admin -p changeme export-templates --metadata-export-mode refresh --repo /usr/share/jitu/exported/ --filter

begawade

Actual results:

The template is not exported with associated org and location. Even there is no organizations and locations key in exported template

metadata.

Expected results:

The template should be exported with associated org and location.

Related issues:

Related to Foreman Remote Execution - Bug #24266: Job templates do not have t... Closed

Associated revisions

Revision 2d5e52d9 - 07/05/2018 03:32 PM - Ondřej Pražák

Fixes #23896 - Update taxonomies when refreshing metadata

History

#1 - 06/21/2018 12:02 PM - Ondřej Pražák

- Project changed from Templates to Foreman

- Subject changed from Templates are not exported with associated org and loc with metadata-export-mode refresh

 to Templates are not exported with associated org and loc with metadata-export-mode refresh

- Category set to Templates

- Assignee set to Ondřej Pražák

#2 - 06/21/2018 12:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5729 added
#3 - 07/05/2018 04:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2d5e52d9b6631541ad7ff510720836cfd82e0060.

#4 - 07/10/2018 07:26 AM - Marek Hulán

- Target version set to 1.18.0

- Triaged set to No

#5 - 07/10/2018 07:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5799 added

#6 - 07/17/2018 05:46 AM - Ondřej Pražák

- Related to Bug #24266: Job templates do not have taxonomies in metadata when exported added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2d5e52d9b6631541ad7ff510720836cfd82e0060
http://www.tcpdf.org

